--only startup if player is druid
if Symbiosis.stop then
	return
end

function Symbiosis.SetupSavedVars()
	--returns true if var is NOT desired type
	local function CheckVar(var,desiredtype)
		if type(var)==desiredtype then
			return false;
		else
			return true;
		end;
	end;

	--for Config table
	local function CheckVarAndSetCheckBox(ConfigEntry,myType,CheckBox)		
		if CheckVar(SymbConfig[ConfigEntry],myType) then
			if CheckBox:GetChecked() == 1 then
				SymbConfig[ConfigEntry] = true;
			else
				SymbConfig[ConfigEntry] = false;
			end;
		else
			CheckBox:SetChecked(SymbConfig[ConfigEntry]);
		end;
	end;
	
	-----------------------------------------
	--Config
	-----------------------------------------
	if CheckVar(SymbConfig,"table") then
		SymbConfig = {};
	end;
	
	--first login
	if CheckVar(SymbConfig["firstlogin"],"boolean") then
		SymbConfig["firstlogin"] = true;
	end
	
	--Main Panel
	CheckVarAndSetCheckBox("ShowHideArena","boolean",Symbiosis.ShowHideButtonArena);
	CheckVarAndSetCheckBox("ShowHideBattleground","boolean",Symbiosis.ShowHideButtonBattleground);
	CheckVarAndSetCheckBox("ShowHideRaid","boolean",Symbiosis.ShowHideButtonRaid);
	CheckVarAndSetCheckBox("ShowHideParty","boolean",Symbiosis.ShowHideButtonParty);
	CheckVarAndSetCheckBox("ShowHideOutside","boolean",Symbiosis.ShowHideButtonOutside);

	CheckVarAndSetCheckBox("IgnoreArena","boolean",Symbiosis.IgnoreArena);
	CheckVarAndSetCheckBox("IgnoreBattleground","boolean",Symbiosis.IgnoreBattleground);
	CheckVarAndSetCheckBox("IgnoreRaid","boolean",Symbiosis.IgnoreRaid);
	CheckVarAndSetCheckBox("IgnoreParty","boolean",Symbiosis.IgnoreParty);
	CheckVarAndSetCheckBox("IgnoreOutside","boolean",Symbiosis.IgnoreOutside);
	
	if SymbConfig["IgnoreArena"] then
		Symbiosis.ShowHideButtonArena:Disable();
	end;
	
	if SymbConfig["IgnoreBattleground"] then
		Symbiosis.ShowHideButtonBattleground:Disable();
	end;
	
	if SymbConfig["IgnoreRaid"] then
		Symbiosis.ShowHideButtonRaid:Disable();
	end;
	
	if SymbConfig["IgnoreParty"] then
		Symbiosis.ShowHideButtonParty:Disable();
	end;
	
	if SymbConfig["IgnoreOutside"] then
		Symbiosis.ShowHideButtonOutside:Disable();
	end;
	
	CheckVarAndSetCheckBox("DontShowUnitOffline","boolean",Symbiosis.DontShowUnitOffline);
	CheckVarAndSetCheckBox("DontShowUnitStolen","boolean",Symbiosis.DontShowUnitStolen);
	CheckVarAndSetCheckBox("DontShowUnitDead","boolean",Symbiosis.DontShowUnitDead);
	CheckVarAndSetCheckBox("DontShowUnitInsignificant","boolean",Symbiosis.DontShowUnitInsignificant);

	CheckVarAndSetCheckBox("TargetConfigDontRemove","boolean",Symbiosis.TargetConfigDontRemove);
	CheckVarAndSetCheckBox("TargetConfigNotice","boolean",Symbiosis.TargetConfigNotice);
	CheckVarAndSetCheckBox("DisableBuffRemove","boolean",Symbiosis.DisableBuffRemove);
	
	--Whisper Panel
	CheckVarAndSetCheckBox("WhisperEnable","boolean",Symbiosis.WhisperEnable);
	
	if SymbConfig["WhisperEnable"] == false then
		Symbiosis.WhisperPanelTestWhisperString:Hide();
		Symbiosis.TestMessageLabel:Hide();
		Symbiosis.WhisperPanelAddGrant:Hide();
		Symbiosis.WhisperPanelAddGet:Hide();
	end;
	
	CheckVarAndSetCheckBox("WhisperAddGrant","boolean",Symbiosis.WhisperPanelAddGrant);
	CheckVarAndSetCheckBox("WhisperAddGet","boolean",Symbiosis.WhisperPanelAddGet);
	
	Symbiosis.WhisperPanelTestWhisperString:SetText(Symbiosis.GetWhisperMessage(1,"PALADIN"));
	-----------------------------------------
	--Button
	-----------------------------------------
	if CheckVar(SymbButton,"table") then
		SymbButton = {};
	end;
	
	if (
		( CheckVar(SymbButton["GetPoint_pos1"],"string") )
	or ( CheckVar(SymbButton["GetPoint_pos2"],"string") )
	or ( CheckVar(SymbButton["GetPoint_x"],"number") )
	or ( CheckVar(SymbButton["GetPoint_y"],"number") ) 
	) then
		--no/false/standard position stored. create default
		SymbButton["GetPoint_pos1"] = "CENTER";
		SymbButton["GetPoint_pos2"] = "CENTER";
		SymbButton["GetPoint_x"] = 0;
		SymbButton["GetPoint_y"] = 0;
	end;

	if CheckVar(SymbButton["Size"],"number") then
		SymbButton["Size"] = 100;
	else
		if ( SymbButton["Size"] > 300 ) or ( SymbButton["Size"] < 5 ) then
			SymbButton["Size"] = 100;
		end;
	end;--the actual sizing of the button is done at CreateMainButton() in SymbiosisButton.lua
end;