--only startup if player is druid 
if Symbiosis.stop then
	return
end

-----------------------------------------
--Slash Commands
-----------------------------------------
SLASH_SYMBIOSIS1, SLASH_SYMBIOSIS2, SLASH_SYMBIOSIS3 = "/symbiosis", "/sym", "/symb";
local function SymbiosisSlashCmd(msg,self)
	local lowmsg = strlower(msg);
	local command, commandrest = lowmsg:match("^(%S*)%s*(.-)$");
	local arg1, arg1rest = commandrest:match("^(%S*)%s*(.-)$");
	local arg2, arg2rest = arg1rest:match("^(%S*)%s*(.-)$");

	if (command == "opt") or (command == "options") or (command == "option") or (command == "config") or (command == "configure") or (command == "cfg") or (command == "configuration") or (command == "") then
		InterfaceOptionsFrame_OpenToCategory(SymbiosisMainPanel);
	elseif (command == "hide") or (command == "disable") or (command == "off") then
		print("Symbiosis: Symbiosis button is now hidden.");--loc
		SymbiosisButton:Hide();
	elseif (command == "show") or (command == "enable") or (command == "on") then
		print("Symbiosis: Symbiosis button is now visible.");--loc
		SymbiosisButton:Show();
	elseif (command == "toggle") then
		if SymbiosisButton:IsVisible() then
			print("Symbiosis: Symbiosis button is now hidden.");--loc
			SymbiosisButton:Hide();
		else
			print("Symbiosis: Symbiosis button is now visible.");--loc
			SymbiosisButton:Show();
		end;
	elseif (command == "remove") then
		if (SymbiosisButton.icon:GetTexture() ~= Symbiosis.SymbiosisIcon) then
			Symbiosis.RemoveSymbiosisTarget();
			print("Symbiosis: Target removed.");--loc
		else
			print("Symbiosis: No target found.");--loc
		end;
	elseif (command == "dragstop") or (command == "stopdrag") then
		SymbiosisButton.StopDragButton:Hide();
		SymbiosisButton:SetScript("OnDragStart",nil);
		print("Symbiosis: Dragging stoped.");--loc
		Symbiosis.DragButton:SetText("Start Drag");--loc
	elseif (command == "reset") then
		--emergency brake for weird drag bug where we cant stop dragging
		SymbiosisButton:StopMovingOrSizing();
		
		--reset position of symbiosis button
		SymbiosisButton:ClearAllPoints();
		SymbiosisButton:SetPoint("CENTER",UIParent,"CENTER");
	elseif (command == "help") then
		print("Symbiosis: To open the option menu type '/symbiosis config'");--loc
	elseif command == "debug" then
		print("Symbiosis: Nothing here.")
	else
		print("Symbiosis: Unknown command".." '|cff5555FF"..lowmsg.."|r'.".." Use '/symb opt' to open config.");--loc
	end;
end;
SlashCmdList["SYMBIOSIS"] = SymbiosisSlashCmd;