--define global table
Symbiosis = {};

--define globals
Symbiosis.SymbiosisIcon = "Interface\\Icons\\spell_druid_symbiosis";
Symbiosis.SymbiosisSpellID = 110309;
Symbiosis.SymbiosisSpell = GetSpellInfo(Symbiosis.SymbiosisSpellID);
Symbiosis.ButtonSize = 50;--standard width and height of symbiosis button

local function SetupAddonDidNotStartUpSlash()
	SLASH_SYMBIOSIS1, SLASH_SYMBIOSIS2, SLASH_SYMBIOSIS3 = "/symbiosis", "/sym", "/symb";
	local function SymbiosisSlashCmd()
		print("Symbiosis: Addon did not load up because you are no druid.");--loc
	end;
	SlashCmdList["SYMBIOSIS"] = SymbiosisSlashCmd;
end;

--only startup if player is druid
local _,PlayerClass = UnitClass("player");
if GetBuildInfo() == "5.0.1" then--TODO: remove when patch hits live realms
	if ( PlayerClass ~= "DRUID" ) then
		Symbiosis.stop = true;
		print("Symbiosis: Did not load up because you are no druid.");--loc
		SetupAddonDidNotStartUpSlash();
		return
	else
		Symbiosis.stop = false;
	end;
else
	Symbiosis.stop = true;
	print("Symbiosis: This version of Symbiosis only works with patch 5.0.1 !");
end;

------------------------
----DRUID GETS----------
------------------------
Symbiosis.SpellsGot = {
	--moonkin
	[1] = {
		["DEATHKNIGHT"] = "110570",--anti-magic shell
		["HUNTER"] = "110588",--misdirection
		["MAGE"] = "110621",--mirror image
		["MONK"] = "126458",--grapple weapon
		["PALADIN"] = "110698",--hammer of justice
		["PRIEST"] = "110709",--mass dispel
		["ROGUE"] = "110788",--cloak of shadows
		["SHAMAN"] = "110802",--purge
		["WARLOCK"] = "122291",--unending resolve
		["WARRIOR"] = "122292"--intervene
	},
	
	--feral
	[2] = {
		["DEATHKNIGHT"] = "122283",--death coil
		["HUNTER"] = "110597",--play dead
		["MAGE"] = "110693",--frost nova
		["MONK"] = "126449",--clash
		["PALADIN"] = "110700",--divine shield
		["PRIEST"] = "110715",--dispersion
		["ROGUE"] = "110730",--redirect
		["SHAMAN"] = "110807",--feral spirit
		["WARLOCK"] = "110810",--soul swap
		["WARRIOR"] = "112997"--shattering blow
	},
	
	--guardian
	[3] = {
		["DEATHKNIGHT"] = "122285",--bone shield
		["HUNTER"] = "110600",--ice trap
		["MAGE"] = "110694",--mage ward
		["MONK"] = "126453",--elusive brew
		["PALADIN"] = "110701",--consecration
		["PRIEST"] = "110717",--fear ward
		["ROGUE"] = "122289",--feint
		["SHAMAN"] = "110803",--lightning shield
		["WARLOCK"] = "122290",--life tap
		["WARRIOR"] = "113002"--spell reflection
	},
	
	--resto
	[4] = {
		["DEATHKNIGHT"] = "110575",--icebound fortitude
		["HUNTER"] = "110617",--deterrence
		["MAGE"] = "110696",--ice block
		["MONK"] = "126456",--fortifying brew
		["PALADIN"] = "122288",--cleanse
		["PRIEST"] = "110718",--leap of faith
		["ROGUE"] = "110791",--evasion
		["SHAMAN"] = "110806",--spiritwalker's grace
		["WARLOCK"] = "112970",--demonic circle: teleport
		["WARRIOR"] = "113004"--intimidating roar
	}
};

------------------------
----TARGET GETS---------
------------------------
Symbiosis.SpellsGranted = {
	["DEATHKNIGHT"] = {
		[1] = "113072",--blood: might of ursoc
		[2] = "113516",--frost+unholy: wild mushroom: plague
		[3] = "113516",
	},

	["HUNTER"] = {
		[1] = "113073",--all specs: dash
		[2] = "113073",
		[3] = "113073"
	},
	
	["MAGE"] = {
		[1] = "113074",--all specs: healing touch
		[2] = "113074",
		[3] = "113074"
	},
	
	["MONK"] = {
		[1] = "113306",--brewmaster: survival instincts
		[2] = "122286",--windwalker: savage defense
		[3] = "113506"--mistweaver: cyclone
	},

	["PALADIN"] = {
		[1] = "113269",--holy: rebirth
		[2] = "113075",--prot: barkskin
		[3] = "122287"--retri: wrath
	},
	
	["PRIEST"] = {
		[1] = "113275",--diszi+holy: entangling roots
		[2] = "113275",
		[3] = "113277"--shadow: tranquility
	},
	
	["ROGUE"] = {
		[1] = "113613",--all specs: growl
		[2] = "113613",
		[3] = "113613"
	},
	
	["SHAMAN"] = {
		[1] = "113287",--ele+enhance: solar beam
		[2] = "113287",
		[3] = "113289"--resto: prowl
	},
	
	["WARLOCK"] = {
		[1] = "113295",--all specs: rejuvenation
		[2] = "113295",
		[3] = "113295"
	},
	
	["WARRIOR"] = {
		[1] = "122294",--arms+fury: stampeding shout
		[2] = "122294",
		[3] = "122286"--prot: savage defense
	}
};

--Spec Icon Table for info panel (add "Interface\\Icons\\")
Symbiosis.SpecIcons = {
	["DEATHKNIGHT"] = {
		[1] = "Spell_Deathknight_BloodPresence",
		[2] = "Spell_Deathknight_FrostPresence",
		[3] = "Spell_Deathknight_UnholyPresence"
	},

	["HUNTER"] = {
		[1] = "ability_hunter_bestialdiscipline",
		[2] = "Ability_Hunter_FocusedAim",
		[3] = "ability_hunter_camouflage"
	},
	
	["MAGE"] = {
		[1] = "Spell_Holy_MagicalSentry",
		[2] = "Spell_Fire_FireBolt02",
		[3] = "Spell_Frost_FrostBolt02"
	},
	
	["MONK"] = {
		[1] = "spell_monk_brewmaster_spec",
		[2] = "spell_monk_mistweaver_spec",
		[3] = "spell_monk_windwalker_spec"
	},

	["PALADIN"] = {
		[1] = "Spell_Holy_HolyBolt",
		[2] = "Ability_Paladin_ShieldoftheTemplar",
		[3] = "Spell_Holy_AuraOfLight"
	},
	
	["PRIEST"] = {
		[1] = "Spell_Holy_PowerWordShield",
		[2] = "Spell_Holy_GuardianSpirit",
		[3] = "Spell_Shadow_ShadowWordPain"
	},
	
	["ROGUE"] = {
		[1] = "Ability_Rogue_Eviscerate",
		[2] = "Ability_Backstab",
		[3] = "Ability_Stealth"
	},
	
	["SHAMAN"] = {
		[1] = "Spell_Nature_Lightning",
		[2] = "Spell_Nature_LightningShield",
		[3] = "Spell_Nature_MagicImmunity"
	},
	
	["WARLOCK"] = {
		[1] = "Spell_Shadow_DeathCoil",
		[2] = "Spell_Shadow_Metamorphosis",
		[3] = "Spell_Shadow_RainOfFire"
	},
	
	["WARRIOR"] = {
		[1] = "Ability_Warrior_SavageBlow",
		[2] = "Ability_Warrior_InnerRage",
		[3] = "Ability_Warrior_DefensiveStance"
	}
};

--Spec Names (localized) for info panel
Symbiosis.SpecNames = {--loc
	["DEATHKNIGHT"] = {
		[1] = "Blood",
		[2] = "Frost",
		[3] = "Unholy"
	},

	["HUNTER"] = {
		[1] = "Beast Mastery",
		[2] = "Marksmanship",
		[3] = "Survival"
	},
	
	["MAGE"] = {
		[1] = "Arcane",
		[2] = "Fire",
		[3] = "Frost"
	},
	
	["MONK"] = {
		[1] = "Brewmaster",
		[2] = "Mistweaver",
		[3] = "Windwalker"
	},

	["PALADIN"] = {
		[1] = "Holy",
		[2] = "Protection",
		[3] = "Retribution"
	},
	
	["PRIEST"] = {
		[1] = "Discipline",
		[2] = "Holy",
		[3] = "Shadow"
	},
	
	["ROGUE"] = {
		[1] = "Assassination",
		[2] = "Combat",
		[3] = "Subtlety"
	},
	
	["SHAMAN"] = {
		[1] = "Elemental",
		[2] = "Enhancement",
		[3] = "Restoration"
	},
	
	["WARLOCK"] = {
		[1] = "Affliction",
		[2] = "Demonology",
		[3] = "Destruction"
	},
	
	["WARRIOR"] = {
		[1] = "Arms",
		[2] = "Fury",
		[3] = "Protection"
	}
};

--non-localized collection of class names, in alphab. order (druid not present)
Symbiosis.ClassNames = {
	[1] = "DEATHKNIGHT",
	[2] = "HUNTER",
	[3] = "MAGE",
	[4] = "MONK",
	[5] = "PALADIN",
	[6] = "PRIEST",
	[7] = "ROGUE",
	[8] = "SHAMAN",
	[9] = "WARLOCK",
	[10] = "WARRIOR",
};